{"info":{"title":"Jortt API","description":"# Introduction\n\nWelcome to the Jortt API. This API is meant for applications that want to connect to the\n[Jortt](https://www.jortt.nl) application.\n\nThis API is designed around the [REST principles](https://en.wikipedia.org/wiki/Representational_state_transfer).\n\n[OAuth 2.0](https://oauth.net/2) is used for authentication and authorization.\n\nThe Jortt API supports [Open API](https://en.wikipedia.org/wiki/OpenAPI_Specification) version 2.0 (formerly known as\nSwagger) for describing the API interface. Check [openapi.tools](https://openapi.tools) for handy tooling (such a\ngenerating client libraries).\n\nYou can also [download the API specification](https://api.jortt.nl/swagger_doc).\n\n## Test with Postman app\n\nThe **Run in Postman** button imports and opens the Jortt collection of API endpoints directly in your Postman app.\nReady to create your first customer and invoice via the API.\n\n[![Run in Postman](https://run.pstmn.io/button.svg)](https://app.getpostman.com/run-collection/9338c4f4e3adefafa561)\n\nTo get an Access token, **edit** the Jortt API collection, go to the **Authorization** tab and use the **Get New Access Token** button.\n\n# Connecting\n\nConnecting your application with the Jortt API requires you to register your application as a client in our\nauthorization server. We support the following\n\u003ca href=\"https://oauth.net/2/grant-types/\" target=\"_blank\"\u003eOAuth 2.0 grant types\u003c/a\u003e:\n\n- [Authorization code](#authorization-code-grant-type) (for third party apps, for example a webshop)\n- [Client credentials](#client-credentials-grant-type) (for your own app)\n\nAfter successful registration you will receive the necessary credentials (client ID and secret) to initiate the\nOAuth 2.0 flow to gain access.\n\nWhen retrieving the initial `access_token` you need to pass the `client_id` and `client_secret` in the\n`Authorization` header.\n\n## Authorization code grant type\n\nThe `authorization_code` grant type should be used by third party applications (for example a webshop) that can be used\nby any Jortt administration. If you are developing an application just for your own administration, you must use the\n[client credentials](#client-credentials-grant-type) grant type.\n\nThe following links describe the `authorization_code` grant type in detail:\n\n- [OAuth.net](https://oauth.net/2/grant-types/authorization-code/)\n- [Article from Digital Ocean](https://www.digitalocean.com/community/tutorials/an-introduction-to-oauth-2#grant-type-authorization-code)\n- [Official RFC](https://tools.ietf.org/html/rfc6749#section-4.1)\n\nFor the `authorization_code` grant type, you don't necessarily need access to a Jortt account (although it may be handy\nfor testing). You can always \u003ca href=\"https://app.jortt.nl/van-start\" target=\"_blank\"\u003esign up for a free Jortt account\u003c/a\u003e.\n\nIn order to use the `authorization_code` grant type, please send an e-mail to\n\u003ca href=\"mailto:support@jortt.nl\"\u003esupport@jortt.nl\u003c/a\u003e to register your application and provide the following\ninformation:\n\n- Application name\n- Redirect URL\n- Required [scopes](#scopes)\n\n### Getting a Jortt adminstration's (read: user's) consent\n\nYour application first needs to decide which permissions it is requesting, then send the user to a browser to get their\npermission. To begin the authorization flow, the application constructs a URL like the following and open a browser\nto that URL.\n\n\u003caside class=\"notice\"\u003e\nThe 'response_type' HTTP param must have value 'code'.\n\u003c/aside\u003e\n\n\u003caside class=\"notice\"\u003e\nThe 'redirect_uri' HTTP param must be one that was specified when registering your application.\n\u003c/aside\u003e\n\n\u003caside class=\"notice\"\u003e\nThe 'scope' HTTP param can only contain (either the same or less) scopes that were specified when registering your application.\nDefine multiple scopes separated by a space, for example: 'invoices:read invoices:write'.\n\u003c/aside\u003e\n\n\u003caside class=\"notice\"\u003e\nThe 'state' HTTP param should be used to protect against CSRF attacks.\n\u003c/aside\u003e\n\n\n```bash\ncurl https://app.jortt.nl/oauth-provider/oauth/authorize?client_id=YOUR_CLIENT_ID\u0026redirect_uri=YOUR_REDIRECT_URI\u0026response_type=code\u0026scope=YOUR_SCOPES\u0026state=RANDOM_STRING\n```\n\nWhen the user visits this URL, it will present them with a prompt asking if they would like to authorize your\napplication's request.\n\n\u003cimg src=\"https://app.jortt.nl/img/api-authorization.png\" width=\"25%\"/\u003e\n\nIf the user approves the request, Jortt will redirect the browser back to the `redirect_uri` specified by your\napplication, adding a `code` to the query string along with the provided `state` parameter.\n\n\u003caside class=\"notice\"\u003e\nIt is highly recommended to use a generated random string for the `state` parameter. By checking this parameter on the\nredirect back to your application you'll prevent any possible CSRF attacks. You should discard any response that does\nnot contain a mathing `state` parameter\n\u003c/aside\u003e\n\n\u003caside class=\"notice\"\u003e\nThe authorization code is only valid for 10 minutes.\n\u003c/aside\u003e\n\n### Obtaining an access token\n\n\u003caside class=\"notice\"\u003e\nThe Client ID \u0026 secret must be passed via Basic Authentication.\n\u003c/aside\u003e\n\n\u003caside class=\"notice\"\u003e\nThe 'grant_type' HTTP param must have value 'authorization_code'.\n\u003c/aside\u003e\n\n\u003caside class=\"notice\"\u003e\nThe 'redirect_uri' HTTP param must have the same value as specified when requesting user consent.\n\u003c/aside\u003e\n\nFor example:\n\n```bash\ncurl -X POST -u \"YOUR_CLIENT_ID:YOUR_CLIENT_SECRET\" -d \"grant_type=authorization_code\u0026code=YOUR_AUTHORIZATION_CODE\u0026redirect_uri=YOUR_REDIRECT_URI\" https://app.jortt.nl/oauth-provider/oauth/token\n```\n\nWould respond with:\n\n```json\n{\n  \"access_token\": \"YOUR_ACCESS_TOKEN\",\n  \"token_type\": \"Bearer\",\n  \"expires_in\": 7200,\n  \"refresh_token\": \"YOUR_REFRESH_TOKEN\",\n  \"scope\": \"YOUR_SCOPES\",\n  \"created_at\": 1587717832\n}\n```\n\n### Refreshing a token\n\n\u003caside class=\"notice\"\u003e\nThe Client ID \u0026 secret must be passed via Basic Authentication.\n\u003c/aside\u003e\n\n\u003caside class=\"notice\"\u003e\nThe 'grant_type' HTTP param must have value 'refresh_token'.\n\u003c/aside\u003e\n\nFor example:\n\n```bash\ncurl -X POST -u \"YOUR_CLIENT_ID:YOUR_CLIENT_SECRET\" -d \"grant_type=refresh_token\u0026refresh_token=YOUR_REFRESH_TOKEN\" https://app.jortt.nl/oauth-provider/oauth/token\n```\n\nWould respond with:\n\n```json\n{\n  \"access_token\": \"YOUR_NEW_ACCESS_TOKEN\",\n  \"token_type\": \"Bearer\",\n  \"expires_in\": 7200,\n  \"refresh_token\": \"YOUR_NEW_REFRESH_TOKEN\",\n  \"scope\": \"YOUR_SCOPES\",\n  \"created_at\": 1587717832\n}\n```\n\n## Client credentials grant type\n\nThe `client_credentials` grant type should be used by applications that you've built solely for your own administration\n(the application is bound to the administration that created it). If you are developing an application that should be\naccessible for all Jortt administrations (for example a webshop), you must use the\n[authorization code](#authorization-code-grant-type) grant type.\n\nThe following links describe the `client_credentials` grant type in detail:\n\n- [OAuth.net](https://oauth.net/2/grant-types/client-credentials/)\n- [Article from Digital Ocean](https://www.digitalocean.com/community/tutorials/an-introduction-to-oauth-2#grant-type-client-credentials)\n- [Official RFC](https://tools.ietf.org/html/rfc6749#section-4.4)\n\nYou will need to have access to a \u003ca href=\"https://app.jortt.nl/van-start\" target=\"_blank\"\u003eJortt account\u003c/a\u003e, and\n\u003ca href=\"https://app.jortt.nl/new_profile/api/jortt/oauth_applications/list\" target=\"_blank\"\u003eregister your application\u003c/a\u003e.\n\n### Obtaining an access token\n\n\u003caside class=\"notice\"\u003e\nThe Client ID \u0026 secret must be passed via Basic Authentication.\n\u003c/aside\u003e\n\n\u003caside class=\"notice\"\u003e\nThe 'grant_type' HTTP param must have value 'client_credentials'.\n\u003c/aside\u003e\n\n\u003caside class=\"notice\"\u003e\nThe 'scope' HTTP param can only contain (either the same or less) scopes that were specified when registering your application.\nDefine multiple scopes separated by a space, for example: 'invoices:read invoices:write'.\n\u003c/aside\u003e\n\nFor example:\n\n```bash\ncurl -X POST -u \"YOUR_CLIENT_ID:YOUR_CLIENT_SECRET\" -d \"grant_type=client_credentials\u0026scope=YOUR_SCOPES\" https://app.jortt.nl/oauth-provider/oauth/token\n```\n\nWould respond with:\n\n```json\n{\n  \"access_token\": \"YOUR_ACCESS_TOKEN\",\n  \"token_type\": \"Bearer\",\n  \"expires_in\": 7200,\n  \"scope\": \"YOUR_SCOPES\",\n  \"created_at\": 1588331418\n}\n```\n\n# Making requests\n\nWhenever you make an HTTP request to the Jortt API, the response will contain a\n[JSON](https://json.org/) object with (at least) either a `data` key (a success response) or\nan `error` key (an error response).\n\nPlease check the documentation of endpoints for the details of responses.\n\nThe `access_token` must be provided as an HTTP header: `Authorization: Bearer YOUR_ACCESS_TOKEN`.\n\n## Success response\n\nAn HTTP response with status code `200 OK` or `201 Created` indicates the request was successful.\n\n### Request example\n\n```bash\ncurl -X GET https://api.jortt.nl/customers/c4075eb6-2028-457e-817f-a6a8d4703fbb -H \"Authorization: Bearer czZCaGRSa3F0MzpnWDFmQmF0M2JW\"\n```\n\n### Response example\n\n```http\nHTTP/1.1 200 OK\nContent-Type: application/json\n\n{\n  \"data\": [\n    {\n      \"id\": \"c4075eb6-2028-457e-817f-a6a8d4703fbb\",\n      ... more properties\n    }\n  ]\n}\n```\n\n## Error response\n\nAn HTTP response with status code `4xx` or `5xx` indicates there was an error while processing the request.\nThe response body will contain extra information about the [error](#tocSerror).\n\n### Request example\n\n```bash\ncurl -X POST https://api.jortt.nl/customers -H \"Authorization: Bearer czZCaGRSa3F0MzpnWDFmQmF0M2JW\"\n```\n\n### Response example\n\n```http\nHTTP/1.1 422 Unprocessable Entity\nContent-Type: application/json\n\n{\n  \"error\": {\n    \"code\": 422,\n    \"key\": \"invalid_params\",\n    \"message\": \"The parameters are invalid (either missing, not of the correct type or incorrect format).\",\n    \"details\": [\n      {\n        \"param\": \"customer_id\",\n        \"key\": \"is_missing\",\n        \"message\": \"is missing\"\n      }\n    ]\n  }\n}\n```\n\n## Errors\n\nThe following table describes the [errors](#tocSerror) found in responses.\n\n| Code  | Key                                | Description                                                                                                                                 |\n| ----- | ---------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------- |\n| `401` | `access_token.invalid` | The `access_token` is either missing or invalid. |\n| `401` | `access_token.expired` | The `access_token` has expired. Use `refresh_token` to get a new `access_token`. |\n| `401` | `access_token.revoked` | The `access_token` has been revoked. |\n| `401` | `scopes.insufficient` | Insufficient permissions (read: missing scopes) to access resource. Your [application](#connecting) probably needs more [scopes](#scopes). |\n| `401` | `organization.non_existing` | The corresponding organization for your access token does not exist. |\n| `401` | `organization.requires_mkb_plan` | The corresponding organization for your access token does not have a jortt MKB or jortt Plus plan. |\n| `401` | `user.non_existing` | The corresponding user for your access token does not exist. |\n| `401` | `user.invalid_credentials` | The corresponding user for your credentials does not exist. |\n| `401` | `two_factor_code.invalid` | Invalid code supplied. |\n| `401` | `two_factor_code.missing_secret` | Two-step verification code |\n| `404` | `endpoint.not_found` | Invalid or non existing endpoint. |\n| `404` | `resource.not_found` | Requested resource cannot be found. |\n| `405` | `resource.method_not_allowed` | The method is not allowed on this resource. |\n| `409` | `resource.conflict` | A conflict occurred while processing the request. This can happen when two processes are trying to modify the same resource simultaneously. |\n| `422` | `params.invalid` | The parameters are invalid (either missing, not of the correct type or incorrect format). |\n| `422` | `params.invalid_format` | The parameters could not be parsed (as specified by the Content-Type header). Please either specify the correct Content-Type or fix the parameters formatting. |\n| `422` | `params.invalid_encoding` | The parameters contain invalid UTF-8 characters and could not be parsed. |\n| `422` | `operation.invalid` | The operation could not be executed on the resource. |\n| `422` | `operation.year_closed` | The operation could not be executed because it affects a closed financial year: %{closed_year}. To execute the operation, please open the financial year in your jortt administration first. |\n| `429` | `request.throttled` | The request has been throttled, please try again later. |\n| `500` | `server.internal_error` | Internal server error. Sorry, we screwed up :-( Please try again later. |\n| `503` | `server.maintenance` | API is temporarily offline for maintenance. Please try again later. |\n| `503` | `integration.outage` | An integration has an outage. Please try again later. |\n\n\n# Rate limiting\nIn order to ensure fair performance of our API we have rate limits in place. This limit is set to `10` requests per second.\n\n# Pagination\nFetching all objects of a resource can be convenient. At the same time, returning too many objects at once can be unpractical from a performance perspective.\n\nDoing so might be too much work for the Jortt API to generate, or for your system to process.\n\nFor this reason in the case of a request that should return a list of objects, the Jortt API only returns a subset of the requested set of objects. In other words, the Jortt API chops the result of a certain API method call into pages you are able to programmatically scroll through.\n\nThe maximum number of objects returned per page is 100.\n\nIn those cases, a successful response body will contain a `data` key and a `_links` key with extra information to be able to paginate. [links](#tocSlink)\n\nFor example:\n\n```bash\ncurl -X GET https://api.jortt.nl/customers?query=bob -H \"Authorization: Bearer czZCaGRSa3F0MzpnWDFmQmF0M2JW\"\n```\n\nWould respond with:\n\n```http\nHTTP/1.1 200 OK\nContent-Type: application/json\n\n{\n  \"data\": [\n    {\n      \"id\": \"c4075eb6-2028-457e-817f-a6a8d4703fbb\",\n      ... more properties\n    }\n    {\n      \"id\": \"d453034d-6a33-44b3-8d5f-f962beeeb956\",\n      ... more properties\n    }\n    ... more objects\n  ]\n  \"_links\": {\n      \"self\": {\n        \"href\": \"https://api.jortt.nl/customers?query=bob?page=1\",\n        \"type\": \"application/json\"\n      },\n      \"previous\": null,\n      \"next\": {\n        \"href\": \"https://api.jortt.nl/customers?query=bob?page=2\",\n        \"type\": \"application/json\"\n      },\n      \"documentation\": {\n        \"href\": \"https://developer.jortt.nl/#pagination\",\n        \"type\": \"application/json\"\n      },\n  }\n}\n```\n","termsOfService":"https://www.jortt.nl/over-ons/AlgemeneVoorwaardenJortt.pdf","contact":{"email":"support@jortt.nl"},"version":"1.0.0","x-logo":{"url":"https://app.jortt.nl/img/logo.svg"}},"swagger":"2.0","produces":["application/json"],"securityDefinitions":{"OAuth2 Authorization Code":{"type":"oauth2","flow":"accessCode","authorizationUrl":"https://app.jortt.nl/oauth-provider/oauth/authorize","tokenUrl":"https://app.jortt.nl/oauth-provider/oauth/token","scopes":{"customers:read":"Read customers","customers:write":"Create and update customers","estimates:read":"Read estimates","estimates:write":"Create, update and send estimates","inbox:write":"Upload and delete receipts","invoices:read":"Read invoices","invoices:write":"Create, update and send invoices","organizations:read":"Read organization data and settings","organizations:write":"Update organization data and settings","payroll:read":"Read payroll data","payroll:write":"Create and update payroll data","reports:read":"Read reports data"}},"OAuth2 Client Credentials":{"type":"oauth2","flow":"application","tokenUrl":"https://app.jortt.nl/oauth-provider/oauth/token","scopes":{"customers:read":"Read customers","customers:write":"Create and update customers","estimates:read":"Read estimates","estimates:write":"Create, update and send estimates","inbox:write":"Upload and delete receipts","invoices:read":"Read invoices","invoices:write":"Create, update and send invoices","organizations:read":"Read organization data and settings","organizations:write":"Update organization data and settings","payroll:read":"Read payroll data","payroll:write":"Create and update payroll data","reports:read":"Read reports data"}}},"host":"api.jortt.nl","schemes":["https"],"tags":[{"name":"v2","description":"Operations about v2s"},{"name":"estimates","description":"Operations about estimates"},{"name":"inbox","description":"Operations about inboxes"},{"name":"files","description":"Operations about files"},{"name":"customers","description":"Customers"},{"name":"tradenames","description":"Tradenames"},{"name":"labels","description":"Labels"},{"name":"invoices","description":"Invoices"},{"name":"ledger_accounts","description":"Ledger Accounts"},{"name":"loonjournaalposten","description":"Loonjournaalposten"},{"name":"projects","description":"Projects"},{"name":"organizations","description":"Organizations"},{"name":"reports","description":"Reports"}],"paths":{"/v3/invoices":{"post":{"summary":"Creates (and optionally sends) an Invoice V3 with invoice-level VAT","description":"When the optional `send_method` is not provided, the Invoice will be created as a Draft.\n\nWhen the optional `send_method` parameter is provided, the Invoice will also be scheduled for sending.\n\nBy polling the [`GET /invoices/{id}`](#get-invoice-by-id) endpoint you can check if the Invoice has\nbeen sent (the returned Invoice's `invoice_status` attribute is then set to `sent` otherwise it will\nbe `draft`).\n\n**V3 Differences**:\n- This endpoint creates invoices with `vat_calculation_method` set to `invoice_level_vat`.\n- Supports all send methods including `peppol`, `email`, and `self`.\n- Note: `peppol` send method is only available in v3. Use v3 if you need to send invoices via peppol.\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"name":"CreateInvoiceV3","in":"body","required":true,"schema":{"$ref":"#/definitions/CreateInvoiceV3"}}],"security":[{"OAuth2":["invoices:write"]}],"responses":{"201":{"description":"Created","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_ResourceCreatedResponse"}}},"tags":["invoices"],"operationId":"Create (and optionally send) an Invoice V3"}},"/v2/invoices/peppol-scheme-catalog":{"get":{"description":"Returns valid peppol scheme options by country code","produces":["application/json"],"security":[{"OAuth2":["invoices:read"]}],"responses":{"200":{"description":"Peppol scheme catalog","schema":{"$ref":"#/definitions/Jortt_V2_Invoicing_Invoices_Responses_GetPeppolSchemeCatalogResponse"}}},"tags":["invoices"],"operationId":"Get peppol scheme catalog"}},"/v2/invoices":{"get":{"summary":"Returns a list of Invoices","description":"If the `query` is null (e.g `GET /invoices`), it will retrieve all Invoices ordered by `created_at`.\nOtherwise if a `query` is passed (e.g `GET /invoices?query=foo`), it will search and list only the Invoices\nmatching the query, ordered by `created_at`.\nIf the `invoice_status` is null (e.g `GET /invoices`), it will retrieve all Invoices ordered by `created_at`.\nOtherwise if a `invoice_status` is passed (e.g `GET /invoices?invoice_status=draft`), it will search and list only the Invoices\nmatching the invoice_status with status draft, ordered by `created_at`.\n","produces":["application/json"],"parameters":[{"in":"query","name":"query","description":"Search query (at least 3 characters)","type":"string","required":false},{"in":"query","name":"invoice_status","description":"invoice_status  options [sent draft unpaid late paid]","type":"string","required":false},{"in":"query","name":"page","description":"Page of the response (minimum 1)","type":"integer","format":"int32","required":false}],"security":[{"OAuth2":["invoices:read"]}],"responses":{"200":{"description":"Invoices","schema":{"$ref":"#/definitions/Jortt_V2_Invoicing_Invoices_Responses_ListInvoicesResponse"}}},"tags":["v2"],"operationId":"List Invoices v2"},"post":{"summary":"Creates (and optionally sends) an Invoice V2","description":"**DEPRECATED**: This endpoint is deprecated. Please use the V3 API for new integrations.\n\nWhen the optional `send_method` is not provided, the Invoice will be created as a Draft.\n\nWhen the optional `send_method` parameter is provided, the Invoice will also be scheduled for sending.\n\nBy polling the [`GET /invoices/{id}`](#get-invoice-by-id) endpoint you can check if the Invoice has\nbeen sent (the returned Invoice's `invoice_status` attribute is then set to `sent` otherwise it will\nbe `draft`).\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"name":"CreateInvoiceV2","in":"body","required":true,"schema":{"$ref":"#/definitions/CreateInvoiceV2"}}],"security":[{"OAuth2":["invoices:write"]}],"responses":{"201":{"description":"Created","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_ResourceCreatedResponse"}}},"tags":["invoices"],"operationId":"Create (and optionally send) an Invoice V2"}},"/v2/invoices/{id}":{"get":{"description":"Returns an Invoice by ID","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"Resource identifier (UUID)","type":"string","required":true}],"security":[{"OAuth2":["invoices:read"]}],"responses":{"200":{"description":"Invoice","schema":{"$ref":"#/definitions/Jortt_V2_Invoicing_Invoices_Responses_GetInvoiceResponse"}}},"tags":["v2"],"operationId":"Get Invoice by ID v2"},"put":{"summary":"Edits an Invoice V2","description":"Edits an invoice, provided said invoice has not been finalized.\nNOTE: You may receive unexpected errors if any data on the invoice is invalid. When correcting\ninvalid data only the relevant fields should be filled.\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"id","description":"Resource identifier (UUID)","type":"string","required":true},{"name":"EditInvoiceV2","in":"body","required":true,"schema":{"$ref":"#/definitions/EditInvoiceV2"}}],"security":[{"OAuth2":["invoices:write"]}],"responses":{"200":{"description":"No Content"}},"tags":["invoices"],"operationId":"Edit Invoice V2"}},"/v2/invoices/{id}/line_item_suggestions":{"get":{"summary":"Returns a list of suggested line items","description":"Returns a list of suggested line items for a given invoice based on the given query.\nThe invoice must have an associated customer or 404 is returned.\n","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"Resource identifier (UUID)","type":"string","required":true},{"in":"query","name":"query","description":"Query string to search for suggestions with","type":"string","required":true}],"security":[{"OAuth2":["invoices:read"]}],"responses":{"200":{"description":"Invoice Line Item Suggestions","schema":{"$ref":"#/definitions/Jortt_V2_Invoicing_Invoices_Responses_GetInvoiceLineItemSuggestionsResponse"}}},"tags":["invoices"],"operationId":"Get line item suggestions"}},"/v1/invoices/{id}":{"get":{"description":"Returns an Invoice by ID","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"Resource identifier (UUID)","type":"string","required":true}],"security":[{"OAuth2":["invoices:read"]}],"responses":{"200":{"description":"Invoice","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_GetInvoiceResponse"}}},"tags":["invoices"],"operationId":"Get Invoice by ID"},"put":{"summary":"Edits an Invoice","description":"Edits an invoice, provided said invoice has not been finalized.\nNOTE: This operation will overwrite existing invoice data for all fields, fields that are not supplied will be nulled.\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"id","description":"Resource identifier (UUID)","type":"string","required":true},{"name":"EditInvoice","in":"body","required":true,"schema":{"$ref":"#/definitions/EditInvoice"}}],"security":[{"OAuth2":["invoices:write"]}],"responses":{"200":{"description":"No Content"}},"tags":["invoices"],"operationId":"Edit Invoice"},"delete":{"description":"Deletes an Invoice by ID","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"Resource identifier (UUID)","type":"string","required":true}],"security":[{"OAuth2":["invoices:write"]}],"responses":{"204":{"description":"No Content"}},"tags":["invoices"],"operationId":"Delete Invoice by ID"}},"/v1/invoices/{id}/set_labels":{"put":{"summary":"Sets the labels for a given invoice","description":"Sets the labels for a given invoice\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"id","type":"integer","format":"int32","required":true},{"name":"SetLabels","in":"body","required":true,"schema":{"$ref":"#/definitions/SetLabels"}}],"security":[{"OAuth2":["invoices:write"]}],"responses":{"204":{"description":"No Content"}},"tags":["invoices"],"operationId":"Set invoice labels"}},"/v1/invoices/{id}/credit":{"post":{"summary":"Creates (and optionally sends) a credit Invoice","description":"When the optional `send_method` is not provided, the Invoice will be created as a Draft.\n\nWhen the optional `send_method` parameter is provided, the Invoice will also be scheduled for sending.\n\nBy polling the [`GET /invoices/{id}`](#get-invoice-by-id) endpoint you can check if the Invoice  been sent (the returned Invoice's `invoice_status` attribute is then set to `sent` otherwise it will be `draft`).\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"id","description":"Resource identifier (UUID) of the invoice you want to credit","type":"string","required":true},{"name":"CreateCreditInvoice","in":"body","required":true,"schema":{"$ref":"#/definitions/CreateCreditInvoice"}}],"security":[{"OAuth2":["invoices:write"]}],"responses":{"201":{"description":"Created","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_ResourceCreatedResponse"}}},"tags":["invoices"],"operationId":"Creates (and optionally sends) a credit Invoice"}},"/v1/invoices":{"get":{"summary":"Returns a list of Invoices","description":"\nIf the `query` is null (e.g `GET /invoices`), it will retrieve all Invoices ordered by `created_at`.\n\nOtherwise if a `query` is passed (e.g `GET /invoices?query=foo`), it will search and list only the Invoices\nmatching the query, ordered by `created_at`.\n\n\nIf the `invoice_status` is null (e.g `GET /invoices`), it will retrieve all Invoices ordered by `created_at`.\n\nOtherwise if a `invoice_status` is passed (e.g `GET /invoices?invoice_status=draft`), it will search and list only the Invoices\nmatching the invoice_status with status draft, ordered by `created_at`.\n","produces":["application/json"],"parameters":[{"in":"query","name":"query","description":"Search query (at least 3 characters)","type":"string","required":false},{"in":"query","name":"invoice_status","description":"invoice_status  options [sent draft unpaid late paid]","type":"string","required":false},{"in":"query","name":"page","description":"Page of the response (minimum 1)","type":"integer","format":"int32","required":false}],"security":[{"OAuth2":["invoices:read"]}],"responses":{"200":{"description":"Invoices","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_ListInvoicesResponse"}}},"tags":["invoices"],"operationId":"List Invoices"},"post":{"summary":"Creates (and optionally sends) an Invoice","description":"**DEPRECATED**: This endpoint is deprecated. Please use the V3 API for new integrations.\n\nWhen the optional `send_method` is not provided, the Invoice will be created as a Draft.\n\nWhen the optional `send_method` parameter is provided, the Invoice will also be scheduled for sending.\n\nBy polling the [`GET /invoices/{id}`](#get-invoice-by-id) endpoint you can check if the Invoice has\nbeen sent (the returned Invoice's `invoice_status` attribute is then set to `sent` otherwise it will\nbe `draft`).\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"name":"CreateInvoice","in":"body","required":true,"schema":{"$ref":"#/definitions/CreateInvoice"}}],"security":[{"OAuth2":["invoices:write"]}],"responses":{"201":{"description":"Created","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_ResourceCreatedResponse"}}},"tags":["invoices"],"operationId":"Create (and optionally send) an Invoice"}},"/v1/invoices/{id}/download":{"get":{"summary":"Returns a URL from which the invoice PDF can be downloaded.","description":"Only returns a URL for sent invoices. Will fail otherwise.\n\nNote: The returned URL expires after 10 minutes.\n","produces":["application/pdf"],"parameters":[{"in":"path","name":"id","description":"Resource identifier (UUID)","type":"string","required":true}],"security":[{"OAuth2":["invoices:read"]}],"responses":{"200":{"description":"URL to download invoice PDF created","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_DownloadInvoicePdfResponse"}}},"tags":["invoices"],"operationId":"Download Invoice PDF"}},"/v1/invoices/{id}/next_possible_invoice_number":{"get":{"description":"Returns the next possible invoice number","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"Resource identifier (UUID)","type":"string","required":true}],"security":[{"OAuth2":["invoices:read"]}],"responses":{"200":{"description":"Next possible invoice number","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_NextPossibleInvoiceNumberResponse"}}},"tags":["invoices"],"operationId":"Get next possible invoice number"}},"/v1/invoices/{id}/line_item_suggestions":{"get":{"summary":"Returns a list of suggested line items","description":"Returns a list of suggested line items for a given invoice based on the given query.\nThe invoice must have an associated customer or 404 is returned.\n","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"Resource identifier (UUID)","type":"string","required":true},{"in":"query","name":"query","description":"Query string to search for suggestions with","type":"string","required":true}],"security":[{"OAuth2":["invoices:read"]}],"responses":{"200":{"description":"Invoice Line Item Suggestions","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_GetInvoiceLineItemSuggestionsResponse"}}},"tags":["invoices"],"operationId":"Get line item suggestions"}},"/v1/invoices/{id}/send":{"post":{"summary":"Sends an Invoice","description":"                  Sends an invoice by the method indicated in the params.\nIf email is selected additional parameters must be provided as indicated.\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"id","description":"Resource identifier (UUID)","type":"string","required":true},{"name":"SendInvoice","in":"body","required":true,"schema":{"$ref":"#/definitions/SendInvoice"}}],"security":[{"OAuth2":["invoices:write"]}],"responses":{"200":{"description":"No Content"}},"tags":["invoices"],"operationId":"Send Invoice"}},"/v1/invoices/{id}/send_settings":{"get":{"description":"Returns the current send settings for the invoice","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"Resource identifier (UUID)","type":"string","required":true}],"security":[{"OAuth2":["invoices:read"]}],"responses":{"200":{"description":"Invoice","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_SendSettingsInvoiceResponse"}}},"tags":["invoices"],"operationId":"Get send settings"}},"/v1/invoices/{id}/copy":{"post":{"summary":"Copies an Invoice","description":"Creates an unsent copy of a sent invoice.\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"id","description":"Resource identifier (UUID)","type":"string","required":true}],"security":[{"OAuth2":["invoices:write"]}],"responses":{"201":{"description":"Created","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_ResourceCreatedResponse"}}},"tags":["invoices"],"operationId":"Copy an Invoice"}},"/invoices/{id}":{"get":{"description":"Returns an Invoice by ID","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"Resource identifier (UUID)","type":"string","required":true}],"security":[{"OAuth2":["invoices:read"]}],"responses":{"200":{"description":"Invoice","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_GetInvoiceResponse"}}},"tags":["invoices"],"operationId":"Get Invoice by ID"},"put":{"summary":"Edits an Invoice","description":"Edits an invoice, provided said invoice has not been finalized.\nNOTE: This operation will overwrite existing invoice data for all fields, fields that are not supplied will be nulled.\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"id","description":"Resource identifier (UUID)","type":"string","required":true},{"name":"EditInvoice","in":"body","required":true,"schema":{"$ref":"#/definitions/EditInvoice"}}],"security":[{"OAuth2":["invoices:write"]}],"responses":{"200":{"description":"No Content"}},"tags":["invoices"],"operationId":"Edit Invoice"},"delete":{"description":"Deletes an Invoice by ID","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"Resource identifier (UUID)","type":"string","required":true}],"security":[{"OAuth2":["invoices:write"]}],"responses":{"204":{"description":"No Content"}},"tags":["invoices"],"operationId":"Delete Invoice by ID"}},"/invoices/{id}/set_labels":{"put":{"summary":"Sets the labels for a given invoice","description":"Sets the labels for a given invoice\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"id","type":"integer","format":"int32","required":true},{"name":"SetLabels","in":"body","required":true,"schema":{"$ref":"#/definitions/SetLabels"}}],"security":[{"OAuth2":["invoices:write"]}],"responses":{"204":{"description":"No Content"}},"tags":["invoices"],"operationId":"Set invoice labels"}},"/invoices/{id}/credit":{"post":{"summary":"Creates (and optionally sends) a credit Invoice","description":"When the optional `send_method` is not provided, the Invoice will be created as a Draft.\n\nWhen the optional `send_method` parameter is provided, the Invoice will also be scheduled for sending.\n\nBy polling the [`GET /invoices/{id}`](#get-invoice-by-id) endpoint you can check if the Invoice  been sent (the returned Invoice's `invoice_status` attribute is then set to `sent` otherwise it will be `draft`).\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"id","description":"Resource identifier (UUID) of the invoice you want to credit","type":"string","required":true},{"name":"CreateCreditInvoice","in":"body","required":true,"schema":{"$ref":"#/definitions/CreateCreditInvoice"}}],"security":[{"OAuth2":["invoices:write"]}],"responses":{"201":{"description":"Created","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_ResourceCreatedResponse"}}},"tags":["invoices"],"operationId":"Creates (and optionally sends) a credit Invoice"}},"/invoices":{"get":{"summary":"Returns a list of Invoices","description":"\nIf the `query` is null (e.g `GET /invoices`), it will retrieve all Invoices ordered by `created_at`.\n\nOtherwise if a `query` is passed (e.g `GET /invoices?query=foo`), it will search and list only the Invoices\nmatching the query, ordered by `created_at`.\n\n\nIf the `invoice_status` is null (e.g `GET /invoices`), it will retrieve all Invoices ordered by `created_at`.\n\nOtherwise if a `invoice_status` is passed (e.g `GET /invoices?invoice_status=draft`), it will search and list only the Invoices\nmatching the invoice_status with status draft, ordered by `created_at`.\n","produces":["application/json"],"parameters":[{"in":"query","name":"query","description":"Search query (at least 3 characters)","type":"string","required":false},{"in":"query","name":"invoice_status","description":"invoice_status  options [sent draft unpaid late paid]","type":"string","required":false},{"in":"query","name":"page","description":"Page of the response (minimum 1)","type":"integer","format":"int32","required":false}],"security":[{"OAuth2":["invoices:read"]}],"responses":{"200":{"description":"Invoices","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_ListInvoicesResponse"}}},"tags":["invoices"],"operationId":"List Invoices"},"post":{"summary":"Creates (and optionally sends) an Invoice","description":"**DEPRECATED**: This endpoint is deprecated. Please use the V3 API for new integrations.\n\nWhen the optional `send_method` is not provided, the Invoice will be created as a Draft.\n\nWhen the optional `send_method` parameter is provided, the Invoice will also be scheduled for sending.\n\nBy polling the [`GET /invoices/{id}`](#get-invoice-by-id) endpoint you can check if the Invoice has\nbeen sent (the returned Invoice's `invoice_status` attribute is then set to `sent` otherwise it will\nbe `draft`).\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"name":"CreateInvoice","in":"body","required":true,"schema":{"$ref":"#/definitions/CreateInvoice"}}],"security":[{"OAuth2":["invoices:write"]}],"responses":{"201":{"description":"Created","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_ResourceCreatedResponse"}}},"tags":["invoices"],"operationId":"Create (and optionally send) an Invoice"}},"/invoices/{id}/download":{"get":{"summary":"Returns a URL from which the invoice PDF can be downloaded.","description":"Only returns a URL for sent invoices. Will fail otherwise.\n\nNote: The returned URL expires after 10 minutes.\n","produces":["application/pdf"],"parameters":[{"in":"path","name":"id","description":"Resource identifier (UUID)","type":"string","required":true}],"security":[{"OAuth2":["invoices:read"]}],"responses":{"200":{"description":"URL to download invoice PDF created","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_DownloadInvoicePdfResponse"}}},"tags":["invoices"],"operationId":"Download Invoice PDF"}},"/invoices/{id}/next_possible_invoice_number":{"get":{"description":"Returns the next possible invoice number","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"Resource identifier (UUID)","type":"string","required":true}],"security":[{"OAuth2":["invoices:read"]}],"responses":{"200":{"description":"Next possible invoice number","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_NextPossibleInvoiceNumberResponse"}}},"tags":["invoices"],"operationId":"Get next possible invoice number"}},"/invoices/{id}/line_item_suggestions":{"get":{"summary":"Returns a list of suggested line items","description":"Returns a list of suggested line items for a given invoice based on the given query.\nThe invoice must have an associated customer or 404 is returned.\n","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"Resource identifier (UUID)","type":"string","required":true},{"in":"query","name":"query","description":"Query string to search for suggestions with","type":"string","required":true}],"security":[{"OAuth2":["invoices:read"]}],"responses":{"200":{"description":"Invoice Line Item Suggestions","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_GetInvoiceLineItemSuggestionsResponse"}}},"tags":["invoices"],"operationId":"Get line item suggestions"}},"/invoices/{id}/send":{"post":{"summary":"Sends an Invoice","description":"                  Sends an invoice by the method indicated in the params.\nIf email is selected additional parameters must be provided as indicated.\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"id","description":"Resource identifier (UUID)","type":"string","required":true},{"name":"SendInvoice","in":"body","required":true,"schema":{"$ref":"#/definitions/SendInvoice"}}],"security":[{"OAuth2":["invoices:write"]}],"responses":{"200":{"description":"No Content"}},"tags":["invoices"],"operationId":"Send Invoice"}},"/invoices/{id}/send_settings":{"get":{"description":"Returns the current send settings for the invoice","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"Resource identifier (UUID)","type":"string","required":true}],"security":[{"OAuth2":["invoices:read"]}],"responses":{"200":{"description":"Invoice","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_SendSettingsInvoiceResponse"}}},"tags":["invoices"],"operationId":"Get send settings"}},"/invoices/{id}/copy":{"post":{"summary":"Copies an Invoice","description":"Creates an unsent copy of a sent invoice.\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"id","description":"Resource identifier (UUID)","type":"string","required":true}],"security":[{"OAuth2":["invoices:write"]}],"responses":{"201":{"description":"Created","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_ResourceCreatedResponse"}}},"tags":["invoices"],"operationId":"Copy an Invoice"}},"/v2/customers/{customer_id}/vat-percentages":{"get":{"description":"Returns vats that are valid on today's date for a Customer by ID","produces":["application/json"],"parameters":[{"in":"path","name":"customer_id","description":"Resource identifier (UUID)","type":"string","required":true}],"security":[{"OAuth2":["customers:read"]}],"responses":{"200":{"description":"Customer vat percentages","schema":{"$ref":"#/definitions/Jortt_V2_Invoicing_Customers_Responses_GetVatPercentagesForCustomerResponse"}}},"tags":["customers"],"operationId":"Get vat percentages for a Customer by ID V2"}},"/v1/customers":{"get":{"summary":"Returns a list of Customers","description":"A Customer can be either a private person or a company.\n\nIf the `query` is null (e.g `GET /customers`), it will retrieve all Customers in alphabetical order of `customer_name`.\n\nOtherwise if a `query` is passed (e.g `GET /customers?query=foo`), it will search and list only the Customers\nmatching the query, ordered alphabetically on `customer_name``.\n","produces":["application/json"],"parameters":[{"in":"query","name":"query","description":"Search query (at least 3 characters)","type":"string","required":false},{"in":"query","name":"page","description":"Page of the response (minimum 1)","type":"integer","format":"int32","required":false}],"security":[{"OAuth2":["customers:read"]}],"responses":{"200":{"description":"Customers","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_ListCustomersResponse"}}},"tags":["customers"],"operationId":"List Customers"},"post":{"summary":"Creates a Customer","description":"A Customer can either be a private person (set `is_private` to `true`) or\na company (set `is_private` to `false`).\n\nThe required attributes are different for a private person than a company. See parameters documentation\nbelow for details.\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"name":"CreateCustomer","in":"body","required":true,"schema":{"$ref":"#/definitions/CreateCustomer"}}],"security":[{"OAuth2":["customers:write"]}],"responses":{"201":{"description":"Created","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_ResourceCreatedResponse"}}},"tags":["customers"],"operationId":"Create Customer"}},"/v1/customers/{customer_id}":{"get":{"description":"Returns a Customer by ID","produces":["application/json"],"parameters":[{"in":"path","name":"customer_id","description":"Resource identifier (UUID)","type":"string","required":true}],"security":[{"OAuth2":["customers:read"]}],"responses":{"200":{"description":"Customer","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_GetCustomerResponse"}}},"tags":["customers"],"operationId":"Get Customer by ID"},"put":{"summary":"Updates a Customer","description":"A Customer can either be a private person (set `is_private` to `true`) or\na company (set `is_private` to `false`).\n\nThe required attributes are different for a private person than a company. See parameters documentation\nbelow for details.\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"customer_id","type":"integer","format":"int32","required":true},{"name":"UpdateCustomer","in":"body","required":true,"schema":{"$ref":"#/definitions/UpdateCustomer"}}],"security":[{"OAuth2":["customers:write"]}],"responses":{"204":{"description":"No Content"}},"tags":["customers"],"operationId":"Update Customer"},"delete":{"summary":"Delete a Customer","description":"No required attributes to be passed.\n\nThis call will delete a customer. Then the Customer `deleted` attribute will be true.\n","produces":["application/json"],"parameters":[{"in":"path","name":"customer_id","description":"Resource identifier (UUID)","type":"string","required":true}],"security":[{"OAuth2":["customers:write"]}],"responses":{"204":{"description":"No Content"}},"tags":["customers"],"operationId":"Delete a Customer"}},"/v1/customers/{customer_id}/extra_details":{"get":{"description":"Returns a Customer's details by ID","produces":["application/json"],"parameters":[{"in":"path","name":"customer_id","description":"Resource identifier (UUID)","type":"string","required":true}],"security":[{"OAuth2":["customers:read"]}],"responses":{"200":{"description":"CustomerDetails","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_GetCustomerDetailsResponse"}}},"tags":["customers"],"operationId":"Get Customer's details by ID"}},"/v1/customers/{customer_id}/vat-percentages":{"get":{"description":"Returns vat percentages that are valid on today's date for a Customer by ID","produces":["application/json"],"parameters":[{"in":"path","name":"customer_id","description":"Resource identifier (UUID)","type":"string","required":true}],"security":[{"OAuth2":["customers:read"]}],"responses":{"200":{"description":"Customer vat percentages","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_GetVatPercentagesForCustomerResponse"}}},"tags":["customers"],"operationId":"Get vat percentages for a Customer by ID"}},"/v1/customers/{customer_id}/direct_debit_mandate":{"post":{"summary":"Send direct debit authorization to a Customer","description":"No required attributes to be passed.\n\nThis call will send an e-mail to the customer with a request for an authorization payment,\ntypically 1 or 2 cents, in order to be able to direct debit the customer. Only when the customer\npays the authorization payment the direct debit for this customer is enabled.\nIf so the Customer `mollie_direct_debit_status` will be `mollie_direct_debit_accepted`\nand it will have a `mollie_mandate_id`.\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"customer_id","type":"integer","format":"int32","required":true}],"security":[{"OAuth2":["customers:write"]}],"responses":{"204":{"description":"No Content"}},"tags":["customers"],"operationId":"Send direct debit authorization to a Customer"}},"/v1/customers/{customer_id}/set_archived":{"put":{"summary":"Sets the archived status for a customer","description":"This call will set the archived status on a customer. Archived customers act as though deleted, but can be unarchived at a later point\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"customer_id","description":"Resource identifier (UUID)","type":"string","required":true},{"name":"SetCustomerArchived","in":"body","required":true,"schema":{"$ref":"#/definitions/SetCustomerArchived"}}],"security":[{"OAuth2":["customers:write"]}],"responses":{"204":{"description":"No Content"}},"tags":["customers"],"operationId":"Set Customer Archived"}},"/customers":{"get":{"summary":"Returns a list of Customers","description":"A Customer can be either a private person or a company.\n\nIf the `query` is null (e.g `GET /customers`), it will retrieve all Customers in alphabetical order of `customer_name`.\n\nOtherwise if a `query` is passed (e.g `GET /customers?query=foo`), it will search and list only the Customers\nmatching the query, ordered alphabetically on `customer_name``.\n","produces":["application/json"],"parameters":[{"in":"query","name":"query","description":"Search query (at least 3 characters)","type":"string","required":false},{"in":"query","name":"page","description":"Page of the response (minimum 1)","type":"integer","format":"int32","required":false}],"security":[{"OAuth2":["customers:read"]}],"responses":{"200":{"description":"Customers","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_ListCustomersResponse"}}},"tags":["customers"],"operationId":"List Customers"},"post":{"summary":"Creates a Customer","description":"A Customer can either be a private person (set `is_private` to `true`) or\na company (set `is_private` to `false`).\n\nThe required attributes are different for a private person than a company. See parameters documentation\nbelow for details.\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"name":"CreateCustomer","in":"body","required":true,"schema":{"$ref":"#/definitions/CreateCustomer"}}],"security":[{"OAuth2":["customers:write"]}],"responses":{"201":{"description":"Created","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_ResourceCreatedResponse"}}},"tags":["customers"],"operationId":"Create Customer"}},"/customers/{customer_id}":{"get":{"description":"Returns a Customer by ID","produces":["application/json"],"parameters":[{"in":"path","name":"customer_id","description":"Resource identifier (UUID)","type":"string","required":true}],"security":[{"OAuth2":["customers:read"]}],"responses":{"200":{"description":"Customer","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_GetCustomerResponse"}}},"tags":["customers"],"operationId":"Get Customer by ID"},"put":{"summary":"Updates a Customer","description":"A Customer can either be a private person (set `is_private` to `true`) or\na company (set `is_private` to `false`).\n\nThe required attributes are different for a private person than a company. See parameters documentation\nbelow for details.\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"customer_id","type":"integer","format":"int32","required":true},{"name":"UpdateCustomer","in":"body","required":true,"schema":{"$ref":"#/definitions/UpdateCustomer"}}],"security":[{"OAuth2":["customers:write"]}],"responses":{"204":{"description":"No Content"}},"tags":["customers"],"operationId":"Update Customer"},"delete":{"summary":"Delete a Customer","description":"No required attributes to be passed.\n\nThis call will delete a customer. Then the Customer `deleted` attribute will be true.\n","produces":["application/json"],"parameters":[{"in":"path","name":"customer_id","description":"Resource identifier (UUID)","type":"string","required":true}],"security":[{"OAuth2":["customers:write"]}],"responses":{"204":{"description":"No Content"}},"tags":["customers"],"operationId":"Delete a Customer"}},"/customers/{customer_id}/extra_details":{"get":{"description":"Returns a Customer's details by ID","produces":["application/json"],"parameters":[{"in":"path","name":"customer_id","description":"Resource identifier (UUID)","type":"string","required":true}],"security":[{"OAuth2":["customers:read"]}],"responses":{"200":{"description":"CustomerDetails","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_GetCustomerDetailsResponse"}}},"tags":["customers"],"operationId":"Get Customer's details by ID"}},"/customers/{customer_id}/vat-percentages":{"get":{"description":"Returns vat percentages that are valid on today's date for a Customer by ID","produces":["application/json"],"parameters":[{"in":"path","name":"customer_id","description":"Resource identifier (UUID)","type":"string","required":true}],"security":[{"OAuth2":["customers:read"]}],"responses":{"200":{"description":"Customer vat percentages","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_GetVatPercentagesForCustomerResponse"}}},"tags":["customers"],"operationId":"Get vat percentages for a Customer by ID"}},"/customers/{customer_id}/direct_debit_mandate":{"post":{"summary":"Send direct debit authorization to a Customer","description":"No required attributes to be passed.\n\nThis call will send an e-mail to the customer with a request for an authorization payment,\ntypically 1 or 2 cents, in order to be able to direct debit the customer. Only when the customer\npays the authorization payment the direct debit for this customer is enabled.\nIf so the Customer `mollie_direct_debit_status` will be `mollie_direct_debit_accepted`\nand it will have a `mollie_mandate_id`.\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"customer_id","type":"integer","format":"int32","required":true}],"security":[{"OAuth2":["customers:write"]}],"responses":{"204":{"description":"No Content"}},"tags":["customers"],"operationId":"Send direct debit authorization to a Customer"}},"/customers/{customer_id}/set_archived":{"put":{"summary":"Sets the archived status for a customer","description":"This call will set the archived status on a customer. Archived customers act as though deleted, but can be unarchived at a later point\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"customer_id","description":"Resource identifier (UUID)","type":"string","required":true},{"name":"SetCustomerArchived","in":"body","required":true,"schema":{"$ref":"#/definitions/SetCustomerArchived"}}],"security":[{"OAuth2":["customers:write"]}],"responses":{"204":{"description":"No Content"}},"tags":["customers"],"operationId":"Set Customer Archived"}},"/v2/estimates":{"get":{"summary":"Returns a list of Estimates","description":"If the `query` is null (e.g `GET /estimates`), it will retrieve all Estimates ordered by `created_at`.\nOtherwise if a `query` is passed (e.g `GET /estimates?query=foo`), it will search and list only the Estimates\nmatching the query, ordered by `created_at`.\nOptionally filter by `estimate_status` (lifecycle status): `draft`, `sent`, `expired`, `invoiced`.\nOptionally filter by `acceptance_status`: `accepted`, `rejected`, `signed`.\n","produces":["application/json"],"parameters":[{"in":"query","name":"page","type":"integer","format":"int32","required":false},{"in":"query","name":"query","type":"string","required":false},{"in":"query","name":"estimate_status","type":"string","required":false},{"in":"query","name":"acceptance_status","type":"string","required":false}],"security":[{"OAuth2":["estimates:read"]}],"responses":{"200":{"description":"Estimates","schema":{"$ref":"#/definitions/Jortt_V2_Invoicing_Estimates_Responses_ListEstimatesResponse"}}},"tags":["v2"],"operationId":"List Estimates v2"},"post":{"summary":"Creates (and optionally sends) an Estimate","description":"When the optional `send_method` is not provided, the Estimate will be created as a Draft.\n\nWhen the optional `send_method` parameter is provided, the Estimate will also be scheduled for sending.\n\nWhen sending by email, you can optionally provide `email_address_customer` to override the customer's\ndefault email address.\n\nBy polling the [`GET /estimates/{id}`](#get-estimate-by-id) endpoint you can check if the Estimate has\nbeen sent (the returned Estimate's `estimate_status` attribute is then set to `sent` otherwise it will\nbe `draft`).\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"name":"CreateEstimateV2","in":"body","required":true,"schema":{"$ref":"#/definitions/CreateEstimateV2"}}],"security":[{"OAuth2":["estimates:write"]}],"responses":{"201":{"description":"Created","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_ResourceCreatedResponse"}}},"tags":["estimates"],"operationId":"Create (and optionally send) an Estimate V2"}},"/v2/estimates/{id}":{"get":{"description":"Returns an Estimate by ID","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"Resource identifier (UUID)","type":"string","required":true}],"security":[{"OAuth2":["estimates:read"]}],"responses":{"200":{"description":"Estimate","schema":{"$ref":"#/definitions/Jortt_V2_Invoicing_Estimates_Responses_GetEstimateResponse"}}},"tags":["v2"],"operationId":"Get Estimate by ID v2"},"put":{"summary":"Edits an Estimate","description":"Edits an estimate, provided said estimate has not been accepted, signed, or invoiced.\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"id","description":"Resource identifier (UUID)","type":"string","required":true},{"name":"EditEstimateV2","in":"body","required":true,"schema":{"$ref":"#/definitions/EditEstimateV2"}}],"security":[{"OAuth2":["estimates:write"]}],"responses":{"200":{"description":"No Content"}},"tags":["estimates"],"operationId":"Edit Estimate V2"}},"/v2/estimates/{id}/send":{"post":{"summary":"Sends an Estimate","description":"Sends an estimate to the linked customer. The estimate must have a customer, line items,\nand a valid creditor (organization) to be sent.\n\nThe `send_method` parameter determines how the estimate is delivered:\n- `email`: Sends the estimate via email to the customer's email address.\n- `self`: Marks the estimate as sent (for manual delivery / printing).\n\nWhen sending by email, you can optionally provide `email_address_customer` to override the\ncustomer's default email address.\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"id","description":"Resource identifier (UUID)","type":"string","required":true},{"name":"SendEstimateV2","in":"body","required":true,"schema":{"$ref":"#/definitions/SendEstimateV2"}}],"security":[{"OAuth2":["estimates:write"]}],"responses":{"200":{"description":"Sent"}},"tags":["estimates"],"operationId":"Send Estimate V2"}},"/v2/estimates/{id}/send_settings":{"get":{"description":"Returns the current send settings for the estimate","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"Resource identifier (UUID)","type":"string","required":true}],"security":[{"OAuth2":["estimates:read"]}],"responses":{"200":{"description":"Estimate send settings","schema":{"$ref":"#/definitions/Jortt_V2_Invoicing_Estimates_Responses_SendSettingsEstimateResponse"}}},"tags":["v2"],"operationId":"Get estimate send settings v2"}},"/v1/tradenames":{"get":{"summary":"Returns a list of tradenames","description":"A tradename is the name under which your business trades. The tradename is often the same as the name in your company's deed of incorporation, but it can also be different. A business can, for instance, use different tradenames for different activities.\n\nGET `/tradenames` it will retrieve all Tradenames in alphabetical order of `company_name`.\n","produces":["application/json"],"security":[{"OAuth2":["organizations:read"]}],"responses":{"200":{"description":"tradenames","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_ListTradenamesResponse"}}},"tags":["tradenames"],"operationId":"List tradenames"}},"/tradenames":{"get":{"summary":"Returns a list of tradenames","description":"A tradename is the name under which your business trades. The tradename is often the same as the name in your company's deed of incorporation, but it can also be different. A business can, for instance, use different tradenames for different activities.\n\nGET `/tradenames` it will retrieve all Tradenames in alphabetical order of `company_name`.\n","produces":["application/json"],"security":[{"OAuth2":["organizations:read"]}],"responses":{"200":{"description":"tradenames","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_ListTradenamesResponse"}}},"tags":["tradenames"],"operationId":"List tradenames"}},"/v1/ledger_accounts/invoices":{"get":{"description":"Returns the list of Ledger Accounts that can be used to categorize Line Items\non an Invoice for in your Profit and Loss report.\n","produces":["application/json"],"security":[{"OAuth2":["invoices:write"]}],"responses":{"200":{"description":"List of Ledger Accounts retrieved","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_ListLedgerAccountsResponse"}}},"tags":["ledger_accounts"],"operationId":"List Invoice Ledger Accounts"}},"/v1/ledger_accounts/invoices/default":{"get":{"produces":["application/json"],"responses":{"200":{"description":"get Default(s)"}},"tags":["ledger_accounts"],"operationId":"getV1LedgerAccountsInvoicesDefault"}},"/ledger_accounts/invoices":{"get":{"description":"Returns the list of Ledger Accounts that can be used to categorize Line Items\non an Invoice for in your Profit and Loss report.\n","produces":["application/json"],"security":[{"OAuth2":["invoices:write"]}],"responses":{"200":{"description":"List of Ledger Accounts retrieved","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_ListLedgerAccountsResponse"}}},"tags":["ledger_accounts"],"operationId":"List Invoice Ledger Accounts"}},"/ledger_accounts/invoices/default":{"get":{"produces":["application/json"],"responses":{"200":{"description":"get Default(s)"}},"tags":["ledger_accounts"],"operationId":"getLedgerAccountsInvoicesDefault"}},"/v1/labels":{"get":{"summary":"Returns a list of labels","description":"GET `/labels` will retrieve all Labels in alphabetical order of `description`.\n","produces":["application/json"],"security":[{"OAuth2":["organizations:read"]}],"responses":{"200":{"description":"labels","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_ListLabelsResponse"}}},"tags":["labels"],"operationId":"List labels"},"post":{"summary":"Create a label","description":"POST `/labels` Will create a label and return a representative uuid.\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"name":"CreateLabel","in":"body","required":true,"schema":{"$ref":"#/definitions/CreateLabel"}}],"security":[{"OAuth2":["organizations:write"]}],"responses":{"201":{"description":"Created","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_ResourceCreatedResponse"}}},"tags":["labels"],"operationId":"Create a Label"}},"/labels":{"get":{"summary":"Returns a list of labels","description":"GET `/labels` will retrieve all Labels in alphabetical order of `description`.\n","produces":["application/json"],"security":[{"OAuth2":["organizations:read"]}],"responses":{"200":{"description":"labels","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_ListLabelsResponse"}}},"tags":["labels"],"operationId":"List labels"},"post":{"summary":"Create a label","description":"POST `/labels` Will create a label and return a representative uuid.\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"name":"CreateLabel","in":"body","required":true,"schema":{"$ref":"#/definitions/CreateLabel"}}],"security":[{"OAuth2":["organizations:write"]}],"responses":{"201":{"description":"Created","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_ResourceCreatedResponse"}}},"tags":["labels"],"operationId":"Create a Label"}},"/v1/organizations/me":{"get":{"description":"Get the current Organization","produces":["application/json"],"security":[{"OAuth2":["organizations:read"]}],"responses":{"200":{"description":"Organizations","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_GetOrganizationResponse"}}},"tags":["organizations"],"operationId":"Get the organization associated with the api credentials"}},"/organizations/me":{"get":{"description":"Get the current Organization","produces":["application/json"],"security":[{"OAuth2":["organizations:read"]}],"responses":{"200":{"description":"Organizations","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_GetOrganizationResponse"}}},"tags":["organizations"],"operationId":"Get the organization associated with the api credentials"}},"/v1/loonjournaalposten":{"get":{"summary":"Returns a list of Loonjournaalposten","description":"\nIf the `year` is null (e.g `GET /payroll/loonjournaalposten`), it will retrieve all Loonjournaalposten ordered by `period_date`.\n\nOtherwise if a `year` is passed (e.g `GET /payroll/loonjournaalposten?year=2022`), it will search and list only the Loonjournaalposten\nmatching the year, ordered by `period_date`.\n","produces":["application/json"],"parameters":[{"in":"query","name":"year","description":"The year to get the Loonjournaalposten for","type":"string","required":false}],"security":[{"OAuth2":["payroll:read"]}],"responses":{"200":{"description":"Loonjournaalposten","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_ListLoonjournaalpostenResponse"}}},"tags":["loonjournaalposten"],"operationId":"List Loonjournaalposten"},"post":{"summary":"Create a Loonjournaalpost","description":"POST `/loonjournaalposten` Will create a Loonjournaalpost and return a representative uuid.\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"name":"CreateLoonjournaalpost","in":"body","required":true,"schema":{"$ref":"#/definitions/CreateLoonjournaalpost"}}],"security":[{"OAuth2":["payroll:write"]}],"responses":{"201":{"description":"Created","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_ResourceCreatedResponse"}}},"tags":["loonjournaalposten"],"operationId":"Create a Loonjournaalpost"}},"/v1/loonjournaalposten/{loonjournaalpost_id}":{"put":{"summary":"Update a Loonjournaalpost","description":"Update a Loonjournaalpost by ID\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"loonjournaalpost_id","description":"Resource identifier (UUID)","type":"string","required":true},{"name":"UpdateLoonjournaalpost","in":"body","required":true,"schema":{"$ref":"#/definitions/UpdateLoonjournaalpost"}}],"security":[{"OAuth2":["payroll:write"]}],"responses":{"204":{"description":"No Content"}},"tags":["loonjournaalposten"],"operationId":"Update a Loonjournaalpost"},"delete":{"summary":"Delete a Loonjournaalpost","description":"No required attributes to be passed.\n\nThis call will delete a loonjournaalpost.\n","produces":["application/json"],"parameters":[{"in":"path","name":"loonjournaalpost_id","description":"Resource identifier (UUID)","type":"string","required":true}],"security":[{"OAuth2":["payroll:write"]}],"responses":{"204":{"description":"No Content"}},"tags":["loonjournaalposten"],"operationId":"Delete a Loonjournaalpost"}},"/loonjournaalposten":{"get":{"summary":"Returns a list of Loonjournaalposten","description":"\nIf the `year` is null (e.g `GET /payroll/loonjournaalposten`), it will retrieve all Loonjournaalposten ordered by `period_date`.\n\nOtherwise if a `year` is passed (e.g `GET /payroll/loonjournaalposten?year=2022`), it will search and list only the Loonjournaalposten\nmatching the year, ordered by `period_date`.\n","produces":["application/json"],"parameters":[{"in":"query","name":"year","description":"The year to get the Loonjournaalposten for","type":"string","required":false}],"security":[{"OAuth2":["payroll:read"]}],"responses":{"200":{"description":"Loonjournaalposten","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_ListLoonjournaalpostenResponse"}}},"tags":["loonjournaalposten"],"operationId":"List Loonjournaalposten"},"post":{"summary":"Create a Loonjournaalpost","description":"POST `/loonjournaalposten` Will create a Loonjournaalpost and return a representative uuid.\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"name":"CreateLoonjournaalpost","in":"body","required":true,"schema":{"$ref":"#/definitions/CreateLoonjournaalpost"}}],"security":[{"OAuth2":["payroll:write"]}],"responses":{"201":{"description":"Created","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_ResourceCreatedResponse"}}},"tags":["loonjournaalposten"],"operationId":"Create a Loonjournaalpost"}},"/loonjournaalposten/{loonjournaalpost_id}":{"put":{"summary":"Update a Loonjournaalpost","description":"Update a Loonjournaalpost by ID\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"loonjournaalpost_id","description":"Resource identifier (UUID)","type":"string","required":true},{"name":"UpdateLoonjournaalpost","in":"body","required":true,"schema":{"$ref":"#/definitions/UpdateLoonjournaalpost"}}],"security":[{"OAuth2":["payroll:write"]}],"responses":{"204":{"description":"No Content"}},"tags":["loonjournaalposten"],"operationId":"Update a Loonjournaalpost"},"delete":{"summary":"Delete a Loonjournaalpost","description":"No required attributes to be passed.\n\nThis call will delete a loonjournaalpost.\n","produces":["application/json"],"parameters":[{"in":"path","name":"loonjournaalpost_id","description":"Resource identifier (UUID)","type":"string","required":true}],"security":[{"OAuth2":["payroll:write"]}],"responses":{"204":{"description":"No Content"}},"tags":["loonjournaalposten"],"operationId":"Delete a Loonjournaalpost"}},"/v1/reports/summaries/invoices":{"get":{"summary":"Returns a summary of invoices for the current year","description":"Gets summarized Invoice data intended for dashboard display. Summaries reflect invoices for the current year, grouped by payment status.\n","produces":["application/json"],"security":[{"OAuth2":["reports:read"]}],"responses":{"200":{"description":"Invoices summary","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_Reports_Summaries_GetInvoicesResponse"}}},"tags":["reports"],"operationId":"Dashboard invoices"}},"/v1/reports/summaries/btw":{"get":{"summary":"Returns a list of summarized btw periods","description":"Gets a list summarized BTW period data intended for dashboard display.\n","produces":["application/json"],"security":[{"OAuth2":["reports:read"]}],"responses":{"200":{"description":"Btw summaries","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_Reports_Summaries_GetBtwResponse"}}},"tags":["reports"],"operationId":"Dashboard btw"}},"/v1/reports/summaries/balance":{"get":{"summary":"Returns key organization balances for the current date","description":"Return organization balances for dashboard display. Balances presented are reflective of the current date.\n","produces":["application/json"],"security":[{"OAuth2":["reports:read"]}],"responses":{"200":{"description":"Balances","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_Reports_Summaries_GetBalancesResponse"}}},"tags":["reports"],"operationId":"Dashboard balance"}},"/v1/reports/summaries/profit_and_loss":{"get":{"summary":"Returns a summary of profit and loss for the current year","description":"Gets a summarized report for profit and loss this year up until the current date.\n","produces":["application/json"],"security":[{"OAuth2":["reports:read"]}],"responses":{"200":{"description":"Profit and loss summary","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_Reports_Summaries_GetProfitAndLossReponse"}}},"tags":["reports"],"operationId":"Dashboard profit and loss"}},"/v1/reports/summaries/cash_and_bank":{"get":{"summary":"Returns a summary of bank accounts, cash and liquid assets","description":"Returns summaries of all organization bank accounts, liquid assets and cash balances intended for dashboard display.\n","produces":["application/json"],"security":[{"OAuth2":["reports:read"]}],"responses":{"200":{"description":"Cash and bank summary","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_Reports_Summaries_GetCashAndBankResponse"}}},"tags":["reports"],"operationId":"Dashboard cash and bank"}},"/reports/summaries/invoices":{"get":{"summary":"Returns a summary of invoices for the current year","description":"Gets summarized Invoice data intended for dashboard display. Summaries reflect invoices for the current year, grouped by payment status.\n","produces":["application/json"],"security":[{"OAuth2":["reports:read"]}],"responses":{"200":{"description":"Invoices summary","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_Reports_Summaries_GetInvoicesResponse"}}},"tags":["reports"],"operationId":"Dashboard invoices"}},"/reports/summaries/btw":{"get":{"summary":"Returns a list of summarized btw periods","description":"Gets a list summarized BTW period data intended for dashboard display.\n","produces":["application/json"],"security":[{"OAuth2":["reports:read"]}],"responses":{"200":{"description":"Btw summaries","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_Reports_Summaries_GetBtwResponse"}}},"tags":["reports"],"operationId":"Dashboard btw"}},"/reports/summaries/balance":{"get":{"summary":"Returns key organization balances for the current date","description":"Return organization balances for dashboard display. Balances presented are reflective of the current date.\n","produces":["application/json"],"security":[{"OAuth2":["reports:read"]}],"responses":{"200":{"description":"Balances","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_Reports_Summaries_GetBalancesResponse"}}},"tags":["reports"],"operationId":"Dashboard balance"}},"/reports/summaries/profit_and_loss":{"get":{"summary":"Returns a summary of profit and loss for the current year","description":"Gets a summarized report for profit and loss this year up until the current date.\n","produces":["application/json"],"security":[{"OAuth2":["reports:read"]}],"responses":{"200":{"description":"Profit and loss summary","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_Reports_Summaries_GetProfitAndLossReponse"}}},"tags":["reports"],"operationId":"Dashboard profit and loss"}},"/reports/summaries/cash_and_bank":{"get":{"summary":"Returns a summary of bank accounts, cash and liquid assets","description":"Returns summaries of all organization bank accounts, liquid assets and cash balances intended for dashboard display.\n","produces":["application/json"],"security":[{"OAuth2":["reports:read"]}],"responses":{"200":{"description":"Cash and bank summary","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_Reports_Summaries_GetCashAndBankResponse"}}},"tags":["reports"],"operationId":"Dashboard cash and bank"}},"/v1/inbox/images":{"post":{"summary":"Upload images to jortt","description":"A simple endpoint where one can upload images to jortt, typically used to upload receipts.\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"name":"UploadReceipt","in":"body","required":true,"schema":{"$ref":"#/definitions/UploadReceipt"}}],"security":[{"OAuth2":["inbox:write"]}],"responses":{"201":{"description":"Created"}},"tags":["inbox"],"operationId":"Upload receipt"}},"/inbox/images":{"post":{"summary":"Upload images to jortt","description":"A simple endpoint where one can upload images to jortt, typically used to upload receipts.\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"name":"UploadReceipt","in":"body","required":true,"schema":{"$ref":"#/definitions/UploadReceipt"}}],"security":[{"OAuth2":["inbox:write"]}],"responses":{"201":{"description":"Created"}},"tags":["inbox"],"operationId":"Upload receipt"}},"/v1/projects":{"get":{"summary":"Returns a list of Projects","description":"Returns a paginated list of projects ordered by creation date. 10 items are provided per page\n","produces":["application/json"],"parameters":[{"in":"query","name":"page","description":"Page of the response (minimum 1)","type":"integer","format":"int32","required":false}],"security":[{"OAuth2":["invoices:read"]}],"responses":{"200":{"description":"Projects","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_ListProjectsResponse"}}},"tags":["projects"],"operationId":"List Projects"},"post":{"summary":"Creates a Project","description":"Creates a Project\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"name":"CreateProject","in":"body","required":true,"schema":{"$ref":"#/definitions/CreateProject"}}],"security":[{"OAuth2":["invoices:write"]}],"responses":{"201":{"description":"Created","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_ResourceCreatedResponse"}}},"tags":["projects"],"operationId":"Create Project"}},"/v1/projects/{id}":{"get":{"summary":"Returns a Project","description":"Returns a Projects wrapped in a data object\n","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"Resource identifier (UUID) for the owning Project","type":"string","required":true}],"security":[{"OAuth2":["invoices:read"]}],"responses":{"200":{"description":"Project","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_GetProjectResponse"}}},"tags":["projects"],"operationId":"Get Project"},"put":{"summary":"Updates a Project","description":"Updates a project\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"id","description":"Resource identifier (UUID) for the owning Project","type":"string","required":true},{"name":"UpdateProject","in":"body","required":true,"schema":{"$ref":"#/definitions/UpdateProject"}}],"security":[{"OAuth2":["invoices:write"]}],"responses":{"200":{"description":"No Content"}},"tags":["projects"],"operationId":"Update Project"},"delete":{"summary":"Deletes a Project","description":"Deletes a project\n","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"Resource identifier (UUID) for the owning Project","type":"string","required":true}],"security":[{"OAuth2":["invoices:write"]}],"responses":{"204":{"description":"No Content"}},"tags":["projects"],"operationId":"Delete Project"}},"/v1/projects/{id}/invoice":{"post":{"summary":"Creates an invoice based on project line items","description":"Creates an invoice based on the given project line items for the customer associated with said project.\nInvoiced line items will be marked as invoiced under the created invoice.\nReturns the resource ID for the newly created invoice.\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"id","description":"Resource identifier (UUID) for the owning Project","type":"string","required":true},{"name":"InvoiceProject","in":"body","required":true,"schema":{"$ref":"#/definitions/InvoiceProject"}}],"security":[{"OAuth2":["invoices:write"]}],"responses":{"201":{"description":"Created","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_ResourceCreatedResponse"}}},"tags":["projects"],"operationId":"Invoice Project"}},"/v1/projects/{id}/line_items":{"get":{"summary":"Returns a list of Project Line Items","description":"Returns a paginated list of line items for the given project id ordered by creation date.\n100 items are provided per page\n","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"Resource identifier (UUID)","type":"string","required":true},{"in":"query","name":"page","description":"Page of the response (minimum 1)","type":"integer","format":"int32","required":false},{"in":"query","name":"start_date","description":"date to fetch data from (inclusive)","type":"string","format":"date","required":false},{"in":"query","name":"end_date","description":"date to fetch data until (exclusive)","type":"string","format":"date","required":false},{"in":"query","name":"status_filter","description":"status used to filter project line items","type":"string","enum":["billable","invoiced","concept","nonbillable"],"required":false}],"security":[{"OAuth2":["invoices:read"]}],"responses":{"200":{"description":"Project Line Items","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_ListProjectLineItemsResponse"}}},"tags":["projects"],"operationId":"List Project Line Items"},"post":{"summary":"Creates a Project Line Item","description":"Add a project line item to given project.\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"id","description":"Resource identifier (UUID) for the owning Project","type":"string","required":true},{"name":"V1ProjectsIdLineItems","in":"body","required":true,"schema":{"$ref":"#/definitions/V1ProjectsIdLineItems"}}],"security":[{"OAuth2":["invoices:write"]}],"responses":{"201":{"description":"Project Line Item Created"}},"tags":["projects"],"operationId":"Create Project Line item"}},"/v1/projects/{id}/line_items/summary":{"get":{"summary":"Returns a list of Project Line Item summaries","description":"Returns a list of monthly summaries for project line items.\n","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"Resource identifier (UUID) for the Project","type":"string","required":true},{"in":"query","name":"period","description":"period of the summaries you wish to fetch. one of [year, month, day]. Defaults to month","type":"string","required":false},{"in":"query","name":"start_date","description":"date to fetch data from (inclusive)","type":"string","format":"date","required":false},{"in":"query","name":"end_date","description":"date to fetch data until (inclusive)","type":"string","format":"date","required":false}],"security":[{"OAuth2":["invoices:read"]}],"responses":{"200":{"description":"Project Line Item Summary","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_GetProjectLineItemsSummaryResponse"}}},"tags":["projects"],"operationId":"Get Project Line Item Summary"}},"/v1/projects/{id}/line_items/{line_item_id}":{"get":{"summary":"Returns a Project Line Item","description":"Returns a given Project Line Item wrapped in a data object.\n","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"Resource identifier (UUID) for the owning Project","type":"string","required":true},{"in":"path","name":"line_item_id","description":"ID of the line item to update","type":"integer","format":"int32","required":true}],"security":[{"OAuth2":["invoices:read"]}],"responses":{"200":{"description":"Project Line Item","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_GetProjectLineItemResponse"}}},"tags":["projects"],"operationId":"Get Project Line Item"},"put":{"summary":"Updates a Project Line item","description":"Update the given project line item.\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"id","description":"Resource identifier (UUID) for the Project","type":"string","required":true},{"in":"path","name":"line_item_id","description":"ID of the line item to update","type":"integer","format":"int32","required":true},{"name":"V1ProjectsIdLineItems","in":"body","required":true,"schema":{"$ref":"#/definitions/V1ProjectsIdLineItems"}}],"security":[{"OAuth2":["invoices:write"]}],"responses":{"201":{"description":"Project Updated"}},"tags":["projects"],"operationId":"Update Project Line item"},"delete":{"summary":"Deletes a Project Line item","description":"Delete the given project line item.\n","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"Resource identifier (UUID) for the owning Project","type":"string","required":true},{"in":"path","name":"line_item_id","description":"ID of the line item to update","type":"integer","format":"int32","required":true}],"security":[{"OAuth2":["invoices:write"]}],"responses":{"204":{"description":"No Content"}},"tags":["projects"],"operationId":"Delete Project Line item"}},"/projects":{"get":{"summary":"Returns a list of Projects","description":"Returns a paginated list of projects ordered by creation date. 10 items are provided per page\n","produces":["application/json"],"parameters":[{"in":"query","name":"page","description":"Page of the response (minimum 1)","type":"integer","format":"int32","required":false}],"security":[{"OAuth2":["invoices:read"]}],"responses":{"200":{"description":"Projects","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_ListProjectsResponse"}}},"tags":["projects"],"operationId":"List Projects"},"post":{"summary":"Creates a Project","description":"Creates a Project\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"name":"CreateProject","in":"body","required":true,"schema":{"$ref":"#/definitions/CreateProject"}}],"security":[{"OAuth2":["invoices:write"]}],"responses":{"201":{"description":"Created","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_ResourceCreatedResponse"}}},"tags":["projects"],"operationId":"Create Project"}},"/projects/{id}":{"get":{"summary":"Returns a Project","description":"Returns a Projects wrapped in a data object\n","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"Resource identifier (UUID) for the owning Project","type":"string","required":true}],"security":[{"OAuth2":["invoices:read"]}],"responses":{"200":{"description":"Project","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_GetProjectResponse"}}},"tags":["projects"],"operationId":"Get Project"},"put":{"summary":"Updates a Project","description":"Updates a project\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"id","description":"Resource identifier (UUID) for the owning Project","type":"string","required":true},{"name":"UpdateProject","in":"body","required":true,"schema":{"$ref":"#/definitions/UpdateProject"}}],"security":[{"OAuth2":["invoices:write"]}],"responses":{"200":{"description":"No Content"}},"tags":["projects"],"operationId":"Update Project"},"delete":{"summary":"Deletes a Project","description":"Deletes a project\n","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"Resource identifier (UUID) for the owning Project","type":"string","required":true}],"security":[{"OAuth2":["invoices:write"]}],"responses":{"204":{"description":"No Content"}},"tags":["projects"],"operationId":"Delete Project"}},"/projects/{id}/invoice":{"post":{"summary":"Creates an invoice based on project line items","description":"Creates an invoice based on the given project line items for the customer associated with said project.\nInvoiced line items will be marked as invoiced under the created invoice.\nReturns the resource ID for the newly created invoice.\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"id","description":"Resource identifier (UUID) for the owning Project","type":"string","required":true},{"name":"InvoiceProject","in":"body","required":true,"schema":{"$ref":"#/definitions/InvoiceProject"}}],"security":[{"OAuth2":["invoices:write"]}],"responses":{"201":{"description":"Created","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_ResourceCreatedResponse"}}},"tags":["projects"],"operationId":"Invoice Project"}},"/projects/{id}/line_items":{"get":{"summary":"Returns a list of Project Line Items","description":"Returns a paginated list of line items for the given project id ordered by creation date.\n100 items are provided per page\n","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"Resource identifier (UUID)","type":"string","required":true},{"in":"query","name":"page","description":"Page of the response (minimum 1)","type":"integer","format":"int32","required":false},{"in":"query","name":"start_date","description":"date to fetch data from (inclusive)","type":"string","format":"date","required":false},{"in":"query","name":"end_date","description":"date to fetch data until (exclusive)","type":"string","format":"date","required":false},{"in":"query","name":"status_filter","description":"status used to filter project line items","type":"string","enum":["billable","invoiced","concept","nonbillable"],"required":false}],"security":[{"OAuth2":["invoices:read"]}],"responses":{"200":{"description":"Project Line Items","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_ListProjectLineItemsResponse"}}},"tags":["projects"],"operationId":"List Project Line Items"},"post":{"summary":"Creates a Project Line Item","description":"Add a project line item to given project.\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"id","description":"Resource identifier (UUID) for the owning Project","type":"string","required":true},{"name":"ProjectsIdLineItems","in":"body","required":true,"schema":{"$ref":"#/definitions/ProjectsIdLineItems"}}],"security":[{"OAuth2":["invoices:write"]}],"responses":{"201":{"description":"Project Line Item Created"}},"tags":["projects"],"operationId":"Create Project Line item"}},"/projects/{id}/line_items/summary":{"get":{"summary":"Returns a list of Project Line Item summaries","description":"Returns a list of monthly summaries for project line items.\n","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"Resource identifier (UUID) for the Project","type":"string","required":true},{"in":"query","name":"period","description":"period of the summaries you wish to fetch. one of [year, month, day]. Defaults to month","type":"string","required":false},{"in":"query","name":"start_date","description":"date to fetch data from (inclusive)","type":"string","format":"date","required":false},{"in":"query","name":"end_date","description":"date to fetch data until (inclusive)","type":"string","format":"date","required":false}],"security":[{"OAuth2":["invoices:read"]}],"responses":{"200":{"description":"Project Line Item Summary","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_GetProjectLineItemsSummaryResponse"}}},"tags":["projects"],"operationId":"Get Project Line Item Summary"}},"/projects/{id}/line_items/{line_item_id}":{"get":{"summary":"Returns a Project Line Item","description":"Returns a given Project Line Item wrapped in a data object.\n","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"Resource identifier (UUID) for the owning Project","type":"string","required":true},{"in":"path","name":"line_item_id","description":"ID of the line item to update","type":"integer","format":"int32","required":true}],"security":[{"OAuth2":["invoices:read"]}],"responses":{"200":{"description":"Project Line Item","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_GetProjectLineItemResponse"}}},"tags":["projects"],"operationId":"Get Project Line Item"},"put":{"summary":"Updates a Project Line item","description":"Update the given project line item.\n","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"id","description":"Resource identifier (UUID) for the Project","type":"string","required":true},{"in":"path","name":"line_item_id","description":"ID of the line item to update","type":"integer","format":"int32","required":true},{"name":"ProjectsIdLineItems","in":"body","required":true,"schema":{"$ref":"#/definitions/ProjectsIdLineItems"}}],"security":[{"OAuth2":["invoices:write"]}],"responses":{"201":{"description":"Project Updated"}},"tags":["projects"],"operationId":"Update Project Line item"},"delete":{"summary":"Deletes a Project Line item","description":"Delete the given project line item.\n","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"Resource identifier (UUID) for the owning Project","type":"string","required":true},{"in":"path","name":"line_item_id","description":"ID of the line item to update","type":"integer","format":"int32","required":true}],"security":[{"OAuth2":["invoices:write"]}],"responses":{"204":{"description":"No Content"}},"tags":["projects"],"operationId":"Delete Project Line item"}},"/v1/files/put_url":{"get":{"summary":"Request an upload URL for attachments","description":"Returns an upload URL that can be used to upload attachments to be sent with invoice emails though the `attachment_ids` parameter.\n","produces":["application/json"],"parameters":[{"in":"query","name":"id","description":"Resource identifier (UUID)","type":"string","required":true},{"in":"query","name":"name","description":"The name of the file to be uploaded","type":"string","required":true},{"in":"query","name":"mime_type","description":"The MIME type of the file to be uploaded","type":"string","required":true},{"in":"query","name":"content_length","description":"The content length of the file to be uploaded","type":"integer","format":"int64","required":true}],"security":[{"OAuth2":["organizations:write"]}],"responses":{"200":{"description":"Attachments","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_GetFilePutUrlResponse"}}},"tags":["files"],"operationId":"Upload URL for attachments"}},"/files/put_url":{"get":{"summary":"Request an upload URL for attachments","description":"Returns an upload URL that can be used to upload attachments to be sent with invoice emails though the `attachment_ids` parameter.\n","produces":["application/json"],"parameters":[{"in":"query","name":"id","description":"Resource identifier (UUID)","type":"string","required":true},{"in":"query","name":"name","description":"The name of the file to be uploaded","type":"string","required":true},{"in":"query","name":"mime_type","description":"The MIME type of the file to be uploaded","type":"string","required":true},{"in":"query","name":"content_length","description":"The content length of the file to be uploaded","type":"integer","format":"int64","required":true}],"security":[{"OAuth2":["organizations:write"]}],"responses":{"200":{"description":"Attachments","schema":{"$ref":"#/definitions/Jortt_V1_Entities_Responses_GetFilePutUrlResponse"}}},"tags":["files"],"operationId":"Upload URL for attachments"}}},"definitions":{"Jortt_Shared_Entities_Error":{"type":"object","properties":{"code":{"type":"integer","format":"int32","enum":[401,404,405,409,422,429,500,503],"example":422,"description":"HTTP response status code of the error"},"key":{"type":"string","enum":["access_token.invalid","access_token.expired","access_token.revoked","scopes.insufficient","organization.non_existing","organization.requires_mkb_plan","user.non_existing","user.invalid_credentials","two_factor_code.invalid","two_factor_code.missing_secret","endpoint.not_found","resource.not_found","resource.method_not_allowed","resource.conflict","params.invalid","params.invalid_format","params.invalid_encoding","operation.invalid","operation.year_closed","request.throttled","server.internal_error","server.maintenance","integration.outage"],"example":"params.invalid","description":"A machine readable (and constant) key describing the error"},"message":{"type":"string","example":"The parameters are invalid (either missing, not of the correct type or incorrect format).","description":"A human readable message describing the error"},"details":{"type":"array","items":{"$ref":"#/definitions/Jortt_Shared_Entities_ErrorDetail"},"description":"A list of details for the error (can be empty)"}},"required":["code","key","message","details"]},"Jortt_Shared_Entities_ErrorDetail":{"type":"object","properties":{"key":{"type":"string","example":"is_missing","description":"A machine readable (and constant) key describing the error detail"},"message":{"type":"string","example":"is missing","description":"A human readable message describing the error detail"},"param":{"type":"string","example":"customer_id","description":"The path of the param that is faulty (can be absent)"}},"required":["key","message","param"]},"Jortt_V2_Shared_Entities_Amount":{"type":"object","properties":{"amount":{"type":"string"},"currency":{"type":"string"}},"required":["amount","currency"]},"Jortt_V2_Shared_Entities_Vat":{"type":"object","properties":{"value":{"type":"number","format":"double","example":"0.21","description":"A string representing vat percentage as a decimal"},"category":{"type":"string","example":"exempt","description":"A string describing a vat category. Can be null or one of the following [exempt, margin_goods_high, travel_services_high]. Note that special categories are only available if you have enabled the appropriate setting for your organization"}},"required":["value","category"]},"CreateInvoiceV3":{"type":"object","properties":{"customer_id":{"type":"string","description":"Resource identifier (UUID)","example":"f8fd3e4e-da1c-43a7-892f-1410ac13e38a"},"invoice_date":{"type":"string","format":"date","description":"Date of the Invoice (determines the VAT period)","example":"2020-02-23"},"tradename_id":{"type":"string","description":"The ID of the Tradename used for this Invoice. It should a resource identifier (UUID). If not set the default Organization will be used.\n","example":"f8fd3e4e-da1c-43a7-892f-1410ac13e38a"},"label_ids":{"type":"array","description":"An array of label ids for example['e508ba44-f8a9-4aa9-b4e8-8d071a3454c4', 'c2ea9b6d-dc5f-4af0-b1ec-46daa4d7a37b']","items":{"type":"string"}},"delivery_period":{"type":"string","format":"date","description":"Determines the profit and loss period start date of this Invoice. If `delivery_period_end` is not present the period is one month. **Required** if `delivery_period_end` is present.\n","example":"2020-02-01"},"delivery_period_end":{"type":"string","format":"date","description":"Determines the profit and loss period end date of this Invoice","example":"2020-02-01"},"payment_term":{"type":"integer","format":"int32","description":"Optional payment term for the Invoice. Defaults to the following first present value:\n  - The `payment_term` configured on the Customer (referenced by the `customer_id` param).\n  - The `payment_term` configured on the Organization (referenced by the `access_token`).\n  - The global default payment term (30 days).\n","example":14},"net_amounts":{"type":"boolean","description":"Whether or not VAT is included in the `amount_per_unit` in the line item (this is typically used when\ninvoicing a private person rather than a company)\n","example":false},"send_method":{"type":"string","description":"How the Invoice should be sent","enum":["email","peppol","self"],"example":"email"},"introduction":{"type":"string","description":"Comments printed on the Invoice (above the line items)","example":"example"},"remarks":{"type":"string","description":"Remarks printed on the Invoice (under the line items)","example":"example"},"payment_method":{"type":"string","description":"How the Invoice can be paid. Determines the payment instructions printed on the Invoice. Choose from:\n  - `already_paid` when the Invoice has already been paid. No payment instructions will be printed on the Invoice.\n  - `pay_later` will print payment instructions on the Invoice.\n  - `direct_debit` requires a connection with [Mollie](https://www.mollie.com). Only for Jortt Plus users.\n\nThe default is `pay_later`.\n","enum":["pay_later","direct_debit","already_paid"],"example":"pay_later"},"line_items":{"type":"array","descr
[...]
